<?php
?>
<script type="text/javascript">
    function isDefined( variable){
        return (typeof(window[variable]) == "undefined")?  false: true;
    }
    $(document).ready(function(){
        $("div#whitelistbtn").click(function(){
            $.post("whitelistadd.php",{
		    relaypresip: $("#relaypresip").val(),
		    comment: $("#comment").val()
                }, function(xml) {
		    var fieldid;
		    if ($("status",xml).text() == 200) {
			$("#whitelistres").removeClass("whitelistresfail");
			$("#whitelistres").addClass("whitelistresok");
			$("#whitelistres").text("Record added successfully.");
			$("#whitelistres").show();
		    } else {
			if ($("status",xml).text() == 500) {
			    $("#whitelistres").removeClass("whitelistresok");
			    $("#whitelistres").addClass("whitelistresfail");
	    		    $("#whitelistres").text("Error inserting record.");
			    $("#errormessage").text($("errormessage",xml).text());
			    $("#errormessage").show();
			    $("#whitelistres").show();
			} else {
			    fieldid = "#" + $("errorfield",xml).text();
			    $("#whitelistres").removeClass("whitelistresok");
			    $("#whitelistres").addClass("whitelistresfail");
			    $("#whitelistres").text("Incorrectly filled fields.");
			    $(fieldid).addClass("highlitederrfield");
			    $("#whitelistres").show();
			}
		    }
		});
	    return false;
	});	    
    });
</script>
<?
?>
